Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576750 - live migration broken when live_migration_inbound_addr is set and transport = ssh
Summary: live migration broken when live_migration_inbound_addr is set and transport =...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-nova
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 13.0 (Queens)
Assignee: Martin Schuppert
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1564445 1576751
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 10:34 UTC by Ollie Walsh
Modified: 2019-09-09 13:54 UTC (History)
23 users (show)

Fixed In Version: puppet-nova-12.4.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1564445
Environment:
Last Closed: 2018-08-29 16:36:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1765462 0 None None None 2018-05-10 10:34:53 UTC
OpenStack gerrit 567548 0 None MERGED Allow live_migration_inbound_addr to be used with non-default port/user/extra_params 2020-06-08 02:24:50 UTC
OpenStack gerrit 567551 0 None MERGED Set live_migration_inbound_addr for ssh transport 2020-06-08 02:24:50 UTC
Red Hat Product Errata RHBA-2018:2574 0 None None None 2018-08-29 16:37:23 UTC

Comment 4 Lon Hohberger 2018-05-10 18:51:24 UTC
Whoops, wrong bug

Comment 16 awaugama 2018-08-07 19:30:35 UTC
Moving to verified, block migration was successful with the parameter set.

[root@compute-1 ~]# yum list installed | grep nova
openstack-nova-api.noarch        1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-common.noarch     1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-compute.noarch    1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-conductor.noarch  1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-console.noarch    1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-migration.noarch  1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-novncproxy.noarch 1:17.0.5-2.d7864fbgit.el7ost
openstack-nova-placement-api.noarch
openstack-nova-scheduler.noarch  1:17.0.5-2.d7864fbgit.el7ost
puppet-nova.noarch               12.4.0-6.el7ost       @rhos-13.0-signed        
python-nova.noarch               1:17.0.5-2.d7864fbgit.el7ost
python2-novaclient.noarch        1:10.1.0-1.el7ost     @rhos-13.0-signed      

[root@compute-1 ~]# sudo docker exec -i nova_libvirt grep live_migration_inbound_addr /etc/nova/nova.conf
live_migration_inbound_addr=172.17.1.14

(overcloud) [stack@undercloud-0 ~]$ openstack server show testvm
+-------------------------------------+----------------------------------------------------------+
| Field                               | Value                                                    |
+-------------------------------------+----------------------------------------------------------+
| OS-DCF:diskConfig                   | MANUAL                                                   |
| OS-EXT-AZ:availability_zone         | nova                                                     |
| OS-EXT-SRV-ATTR:host                | compute-1.localdomain                                    |
| OS-EXT-SRV-ATTR:hypervisor_hostname | compute-1.localdomain                                    |
| OS-EXT-SRV-ATTR:instance_name       | instance-00000003                                        |
| OS-EXT-STS:power_state              | Running                                                  |
| OS-EXT-STS:task_state               | None                                                     |
| OS-EXT-STS:vm_state                 | active                                                   |
| OS-SRV-USG:launched_at              | 2018-08-07T19:16:34.000000                               |
| OS-SRV-USG:terminated_at            | None                                                     |
| accessIPv4                          |                                                          |
| accessIPv6                          |                                                          |
| addresses                           | public=10.0.0.213                                        |
| config_drive                        |                                                          |
| created                             | 2018-08-07T19:16:28Z                                     |
| flavor                              | custom (4ebf34fc-1ed6-4da5-898c-12f3429f5064)            |
| hostId                              | d38c2a8f73111ca234f1ec01b0c1ff0e37d6534799a192d78fd04a2f |
| id                                  | 796f802e-ddad-4b14-9b9e-c415147e849b                     |
| image                               | cirros (6b23f18e-2192-4178-beb8-0dec540ed005)            |
| key_name                            | None                                                     |
| name                                | testvm                                                   |
| progress                            | 0                                                        |
| project_id                          | 1485b34d36dc454c85acfd418105a287                         |
| properties                          |                                                          |
| security_groups                     | name='default'                                           |
| status                              | ACTIVE                                                   |
| updated                             | 2018-08-07T19:16:34Z                                     |
| user_id                             | f9e32dd65e8a43fa87053fe8dd985046                         |
| volumes_attached                    |                                                          |
+-------------------------------------+----------------------------------------------------------+

(overcloud) [stack@undercloud-0 ~]$ openstack server migrate --live compute-0.localdomain --block-migration testvm
(overcloud) [stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------+-----------+------------+-------------+-------------------+
| ID                                   | Name   | Status    | Task State | Power State | Networks          |
+--------------------------------------+--------+-----------+------------+-------------+-------------------+
| 796f802e-ddad-4b14-9b9e-c415147e849b | testvm | MIGRATING | migrating  | Running     | public=10.0.0.213 |
+--------------------------------------+--------+-----------+------------+-------------+-------------------+
(overcloud) [stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------+--------+------------+-------------+-------------------+
| ID                                   | Name   | Status | Task State | Power State | Networks          |
+--------------------------------------+--------+--------+------------+-------------+-------------------+
| 796f802e-ddad-4b14-9b9e-c415147e849b | testvm | ACTIVE | -          | Running     | public=10.0.0.213 |
+--------------------------------------+--------+--------+------------+-------------+-------------------+
(overcloud) [stack@undercloud-0 ~]$ nova show testvm
+--------------------------------------+----------------------------------------------------------+
| Property                             | Value                                                    |
+--------------------------------------+----------------------------------------------------------+
| OS-DCF:diskConfig                    | MANUAL                                                   |
| OS-EXT-AZ:availability_zone          | nova                                                     |
| OS-EXT-SRV-ATTR:host                 | compute-0.localdomain                                    |
| OS-EXT-SRV-ATTR:hostname             | testvm                                                   |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | compute-0.localdomain                                    |
| OS-EXT-SRV-ATTR:instance_name        | instance-00000003                                        |
| OS-EXT-SRV-ATTR:kernel_id            |                                                          |
| OS-EXT-SRV-ATTR:launch_index         | 0                                                        |
| OS-EXT-SRV-ATTR:ramdisk_id           |                                                          |
| OS-EXT-SRV-ATTR:reservation_id       | r-k0c6naht                                               |
| OS-EXT-SRV-ATTR:root_device_name     | /dev/vda                                                 |
| OS-EXT-SRV-ATTR:user_data            | -                                                        |
| OS-EXT-STS:power_state               | 1                                                        |
| OS-EXT-STS:task_state                | -                                                        |
| OS-EXT-STS:vm_state                  | active                                                   |
| OS-SRV-USG:launched_at               | 2018-08-07T19:16:34.000000                               |
| OS-SRV-USG:terminated_at             | -                                                        |
| accessIPv4                           |                                                          |
| accessIPv6                           |                                                          |
| config_drive                         |                                                          |
| created                              | 2018-08-07T19:16:28Z                                     |
| description                          | -                                                        |
| flavor:disk                          | 5                                                        |
| flavor:ephemeral                     | 0                                                        |
| flavor:extra_specs                   | {}                                                       |
| flavor:original_name                 | custom                                                   |
| flavor:ram                           | 1024                                                     |
| flavor:swap                          | 0                                                        |
| flavor:vcpus                         | 1                                                        |
| hostId                               | 831b544241ff7c5cd47f327568f791b0b997e06c0b8c4b4b690fca6b |
| host_status                          | UP                                                       |
| id                                   | 796f802e-ddad-4b14-9b9e-c415147e849b                     |
| image                                | cirros (6b23f18e-2192-4178-beb8-0dec540ed005)            |
| key_name                             | -                                                        |
| locked                               | False                                                    |
| metadata                             | {}                                                       |
| name                                 | testvm                                                   |
| os-extended-volumes:volumes_attached | []                                                       |
| progress                             | 0                                                        |
| public network                       | 10.0.0.213                                               |
| security_groups                      | default                                                  |
| status                               | ACTIVE                                                   |
| tags                                 | []                                                       |
| tenant_id                            | 1485b34d36dc454c85acfd418105a287                         |
| updated                              | 2018-08-07T19:20:09Z                                     |
| user_id                              | f9e32dd65e8a43fa87053fe8dd985046                         |
+--------------------------------------+----------------------------------------------------------+

Comment 17 Joanne O'Flynn 2018-08-15 08:05:11 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 19 errata-xmlrpc 2018-08-29 16:36:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2574


Note You need to log in before you can comment on or make changes to this bug.